/// <reference types="node" />
import { XyoHasher } from '../hashing';
import { XyoIterableStructure, XyoSchema, XyoStructure } from '../object-model';
import { XyoSigner } from '../signing';
export declare class XyoBoundWitness extends XyoIterableStructure {
    static createMasterArrayWithSubArray(masterSchema: XyoSchema, subSchema: XyoSchema, masterItems: XyoStructure[], subItems: XyoStructure[]): XyoIterableStructure;
    getIsCompleted(): boolean;
    getPublicKeys(): XyoStructure[][];
    getSignatures(): XyoStructure[][];
    getHeuristics(): XyoStructure[][];
    getNumberOfFetters(): number;
    getNumberOfWitnesses(): number;
    getHash(hasher: XyoHasher): XyoStructure;
    sign(signer: XyoSigner): XyoStructure;
    getSigningData(): Buffer;
    getNumberOfParties(): number | undefined;
    getFetterOfParty(partyIndex: number): XyoIterableStructure | undefined;
    getWitnessOfParty(partyIndex: number): XyoIterableStructure | undefined;
    protected addToLedger(item: XyoStructure): void;
    private getWitnessFetterBoundary;
}
//# sourceMappingURL=xyo-bound-witness.d.ts.map