"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoZigZagBoundWitnessSession = void 0;
const object_model_1 = require("../object-model");
const xyo_zig_zag_bound_witness_1 = require("./xyo-zig-zag-bound-witness");
class XyoZigZagBoundWitnessSession extends xyo_zig_zag_bound_witness_1.XyoZigZagBoundWitness {
    constructor(handler, signedPayload, unsignedPayload, signers, choice) {
        super(signers, signedPayload, unsignedPayload);
        this.cycles = 0;
        this.handler = handler;
        this.choice = choice;
    }
    doBoundWitness(transfer) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.getIsCompleted()) {
                const response = yield this.sendAndReceive(transfer !== undefined, transfer);
                if (this.cycles === 0 && transfer !== undefined && response !== null) {
                    this.incomingData(response, false);
                }
                else {
                    this.cycles++;
                    return this.doBoundWitness(response);
                }
            }
        });
    }
    sendAndReceive(didHaveData, transfer) {
        return __awaiter(this, void 0, void 0, function* () {
            let response;
            const returnData = this.incomingData(transfer, this.cycles === 0 && didHaveData);
            if (this.cycles === 0 && !didHaveData) {
                response = yield this.handler.sendChoicePacket(this.choice, returnData.getAll().getContentsCopy());
            }
            else {
                response = yield this.handler.pipe.send(returnData.getAll().getContentsCopy(), this.cycles === 0);
                if (this.cycles === 0 && !response) {
                    throw new Error('Response is null');
                }
            }
            if (response) {
                return new object_model_1.XyoIterableStructure(new object_model_1.XyoBuffer(response));
            }
            return undefined;
        });
    }
}
exports.XyoZigZagBoundWitnessSession = XyoZigZagBoundWitnessSession;
//# sourceMappingURL=xyo-zig-zag-bound-witness-session.js.map