"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoSha256 = void 0;
const crypto_1 = __importDefault(require("crypto"));
const object_model_1 = require("../object-model");
const schema_1 = require("../schema");
class XyoSha256 {
    hash(data) {
        const rawHash = crypto_1.default.createHash('sha256').update(data).digest();
        const buffer = new object_model_1.XyoBuffer(rawHash);
        return object_model_1.XyoStructure.newInstance(schema_1.XyoObjectSchema.SHA_256, buffer);
    }
}
exports.XyoSha256 = XyoSha256;
//# sourceMappingURL=xyo-sha256.js.map