"use strict";
/*
 * File: defaultResolvers.ts
 * Project: @xyo-network/sdk-core-nodejs
 * File Created: Friday, 13th November 2020 2:22:50 pm
 * Author: XYO Development Team (support@xyo.network)
 * -----
 * Last Modified: Friday, 13th November 2020 2:30:21 pm
 * Modified By: XYO Development Team (support@xyo.network>)
 * -----
 * Copyright 2017 - 2020 XY - The Persistent Company
 */
Object.defineProperty(exports, "__esModule", { value: true });
const schema_1 = require("../../schema");
const resolvers_1 = require("./resolvers");
const defaultResolvers = [
    {
        id: schema_1.XyoObjectSchema.BLE_POWER_LEVEL.id,
        resolver: resolvers_1.rssiAt1MResolver,
    },
    {
        id: schema_1.XyoObjectSchema.EC_PUBLIC_KEY.id,
        resolver: resolvers_1.secp256K1PublicKeyResolver,
    },
    {
        id: schema_1.XyoObjectSchema.EC_SIGNATURE.id,
        resolver: resolvers_1.secp256K1SignatureResolver,
    },
    {
        id: schema_1.XyoObjectSchema.INDEX.id,
        resolver: resolvers_1.indexResolver,
    },
    {
        id: schema_1.XyoObjectSchema.LAT.id,
        resolver: resolvers_1.latResolver,
    },
    {
        id: schema_1.XyoObjectSchema.LNG.id,
        resolver: resolvers_1.lngResolver,
    },
    {
        id: schema_1.XyoObjectSchema.PAYMENT_KEY.id,
        resolver: resolvers_1.paymentKeyResolver,
    },
    {
        id: schema_1.XyoObjectSchema.RSA_PUBLIC_KEY.id,
        resolver: resolvers_1.rsaPublicKeyResolver,
    },
    {
        id: schema_1.XyoObjectSchema.RSA_SIGNATURE.id,
        resolver: resolvers_1.rsaSignatureResolver,
    },
    {
        id: schema_1.XyoObjectSchema.RSSI.id,
        resolver: resolvers_1.rssiResolver,
    },
    {
        id: schema_1.XyoObjectSchema.SHA_256.id,
        resolver: resolvers_1.sha256Resolver,
    },
    {
        id: schema_1.XyoObjectSchema.SHA_3.id,
        resolver: resolvers_1.sha3Resolver,
    },
    {
        id: schema_1.XyoObjectSchema.STUB_HASH.id,
        resolver: resolvers_1.stubHashResolver,
    },
    {
        id: schema_1.XyoObjectSchema.STUB_PUBLIC_KEY.id,
        resolver: resolvers_1.stubPublicKey,
    },
    {
        id: schema_1.XyoObjectSchema.STUB_SIGNATURE.id,
        resolver: resolvers_1.stubSignatureResolver,
    },
    {
        id: schema_1.XyoObjectSchema.UNIX_TIME.id,
        resolver: resolvers_1.timeResolver,
    },
    {
        id: schema_1.XyoObjectSchema.GPS.id,
        resolver: resolvers_1.gpsResolver,
    },
    {
        id: schema_1.XyoObjectSchema.BW.id,
        resolver: resolvers_1.boundWitnessResolver,
    },
    {
        id: schema_1.XyoObjectSchema.KEY_SET.id,
        resolver: resolvers_1.keySetResolver,
    },
    {
        id: schema_1.XyoObjectSchema.SIGNATURE_SET.id,
        resolver: resolvers_1.signatureSetResolver,
    },
    {
        id: schema_1.XyoObjectSchema.FETTER.id,
        resolver: resolvers_1.fetterResolver,
    },
    {
        id: schema_1.XyoObjectSchema.WITNESS.id,
        resolver: resolvers_1.witnessResolver,
    },
    {
        id: schema_1.XyoObjectSchema.PREVIOUS_HASH.id,
        resolver: resolvers_1.previousHashResolver,
    },
    {
        id: schema_1.XyoObjectSchema.BRIDGE_HASH_SET.id,
        resolver: resolvers_1.bridgeHashSetResolver,
    },
];
exports.default = defaultResolvers;
//# sourceMappingURL=defaultResolvers.js.map