"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoHumanHeuristicResolver = void 0;
const object_model_1 = require("../object-model");
class XyoHumanHeuristicResolver {
    static addResolvers(resolvers) {
        for (const resolver of resolvers) {
            this.addResolver(resolver.id, resolver.resolver);
        }
    }
    static addResolver(forId, resolver) {
        XyoHumanHeuristicResolver.resolvers.set(forId, resolver);
    }
    static removeResolver(forId) {
        XyoHumanHeuristicResolver.resolvers.delete(forId);
    }
    static resolve(any) {
        const item = new object_model_1.XyoStructure(new object_model_1.XyoBuffer(any));
        const resolver = XyoHumanHeuristicResolver.resolvers.get(item.getSchema().id);
        if (resolver) {
            return resolver.resolve(item.getAll().getContentsCopy());
        }
        return {
            name: item.getSchema().id.toString(),
            value: any.toString('base64'),
        };
    }
}
exports.XyoHumanHeuristicResolver = XyoHumanHeuristicResolver;
XyoHumanHeuristicResolver.resolvers = new Map();
//# sourceMappingURL=xyo-heuristic-resolver.js.map