"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoChoicePacket = void 0;
class XyoChoicePacket {
    constructor(data) {
        this.data = data;
    }
    getChoice() {
        const sizeOfChoice = this.getSizeOfChoice();
        if (sizeOfChoice + 1 > this.data.length) {
            throw new Error('getChoice: Out of index');
        }
        return this.data.slice(1, sizeOfChoice + 1);
    }
    getResponse() {
        const sizeOfChoice = this.getSizeOfChoice();
        if (sizeOfChoice + 1 > this.data.length) {
            throw new Error('getResponse: Out of index');
        }
        return this.data.slice(1 + sizeOfChoice);
    }
    getSizeOfChoice() {
        if (this.data.length === 0) {
            throw new Error('getSizeOfChoice: Out of index');
        }
        return this.data.readUInt8(0);
    }
}
exports.XyoChoicePacket = XyoChoicePacket;
//# sourceMappingURL=xyo-choice-packet.js.map