"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoNetworkHandler = void 0;
class XyoNetworkHandler {
    constructor(pipe) {
        this.pipe = pipe;
    }
    static getSizeEncodedCatalog(catalog) {
        const sizeBuffer = Buffer.alloc(1);
        sizeBuffer.writeUInt8(catalog.length, 0);
        return Buffer.concat([sizeBuffer, catalog]);
    }
    sendCatalogPacket(catalog) {
        const buffer = XyoNetworkHandler.getSizeEncodedCatalog(catalog);
        return this.pipe.send(buffer, true);
    }
    sendChoicePacket(choice, response) {
        const bufferToSend = Buffer.concat([
            XyoNetworkHandler.getSizeEncodedCatalog(choice),
            response,
        ]);
        return this.pipe.send(bufferToSend, true);
    }
}
exports.XyoNetworkHandler = XyoNetworkHandler;
//# sourceMappingURL=xyo-network-handler.js.map