"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoIterator = void 0;
class XyoIterator {
    constructor(offset, structure, isTyped) {
        this.offset = offset;
        this.structure = structure;
        this.isTyped = isTyped;
    }
    next() {
        const nextItem = this.structure.readItemAtOffset(this.offset);
        if (this.isTyped) {
            this.offset += nextItem.getAll().getSize() - 2;
        }
        else {
            this.offset += nextItem.getAll().getSize();
        }
        const result = {
            done: this.hasNext(),
            value: nextItem,
        };
        return result;
    }
    hasNext() {
        return this.structure.getAll().getSize() > this.offset;
    }
}
exports.XyoIterator = XyoIterator;
//# sourceMappingURL=xyo-iterator.js.map