import { XyoStructure } from '../object-model';
import XyoOriginStateRepository from '../persist/xyo-origin-state-repository';
import XyoSigner from '../signing/xyo-signer';
export declare class XyoOriginState {
    static createNextPublicKey(publicKey: XyoStructure): XyoStructure;
    static createPreviousHash(hash: XyoStructure): XyoStructure;
    static createIndex(index: number): XyoStructure;
    repo: XyoOriginStateRepository;
    private waitingSigners;
    private nextPublicKey;
    constructor(repo: XyoOriginStateRepository);
    getIndexAsNumber(): number;
    getNextPublicKey(): XyoStructure | undefined;
    getIndex(): XyoStructure;
    getPreviousHash(): XyoStructure | undefined;
    removeOldestSigner(): void;
    getSigners(): XyoSigner[];
    addSigner(signer: XyoSigner): void;
    addOriginBlock(hash: XyoStructure): void;
    private addWaitingSigner;
    private incrementIndex;
}
//# sourceMappingURL=xyo-origin-state.d.ts.map