/// <reference types="node" />
import { XyoStructure } from '../object-model';
import XyoSigner from '../signing/xyo-signer';
import XyoOriginStateRepository from './xyo-origin-state-repository';
export declare class XyoFileOriginStateRepository implements XyoOriginStateRepository {
    private indexCache;
    private previousHashCache;
    private signersCache;
    private statePath;
    constructor(statePath: string);
    addSigner(signer: XyoSigner): void;
    removeOldestSigner(): void;
    putIndex(index: XyoStructure): void;
    putPreviousHash(previousHash: XyoStructure): void;
    getIndex(): XyoStructure | undefined;
    getPreviousHash(): XyoStructure | undefined;
    getSigners(): XyoSigner[];
    commit(): Promise<void>;
    restore(signerFromPrivateKey: (buffer: Buffer) => XyoSigner): Promise<void>;
    private readCurrentFileState;
    private getCurrentFileState;
}
//# sourceMappingURL=xyo-file-origin-state-repository.d.ts.map