"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoRamOriginStateRepository = void 0;
class XyoRamOriginStateRepository {
    constructor() {
        this.signersCache = [];
    }
    addSigner(signer) {
        this.signersCache.push(signer);
    }
    removeOldestSigner() {
        if (this.signersCache.length > 0) {
            this.signersCache.shift();
        }
    }
    putIndex(index) {
        this.indexCache = index;
    }
    putPreviousHash(previousHash) {
        this.previousHashCache = previousHash;
    }
    getIndex() {
        return this.indexCache;
    }
    getPreviousHash() {
        return this.previousHashCache;
    }
    getSigners() {
        if (this.signersCache) {
            return this.signersCache;
        }
        return [];
    }
    // eslint-disable-next-line require-await
    commit() {
        return __awaiter(this, void 0, void 0, function* () {
            return;
        });
    }
}
exports.XyoRamOriginStateRepository = XyoRamOriginStateRepository;
//# sourceMappingURL=xyo-ram-origin-state-repository.js.map