"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoStubSigner = void 0;
const object_model_1 = require("../object-model");
const schema_1 = require("../schema");
class XyoStubSigner {
    constructor(key) {
        if (key) {
            this.key = key;
            return;
        }
        throw new Error('Stub signer a needs key!');
    }
    sign(data) {
        return object_model_1.XyoStructure.newInstance(schema_1.XyoObjectSchema.STUB_SIGNATURE, new object_model_1.XyoBuffer(data));
    }
    getPublicKey() {
        return object_model_1.XyoStructure.newInstance(schema_1.XyoObjectSchema.STUB_PUBLIC_KEY, new object_model_1.XyoBuffer(this.key));
    }
    getPrivateKey() {
        return object_model_1.XyoStructure.newInstance(schema_1.XyoObjectSchema.EC_PRIVATE_KEY, new object_model_1.XyoBuffer(Buffer.from('0000', 'utf8')));
    }
}
exports.XyoStubSigner = XyoStubSigner;
XyoStubSigner.verify = (_publicKey, _signature, _data
// eslint-disable-next-line require-await
) => __awaiter(void 0, void 0, void 0, function* () {
    return true;
});
//# sourceMappingURL=xyo-stub-signature.js.map